### Signal

# Gio AppLaunchContext::launch-started

since: 2.72

#### Declaration

    void
    launch_started (
      GAppLaunchContext* self,
      GAppInfo* info,
      GVariant* platform_data,
      gpointer user_data
    )

#### Description [src]

The `GAppLaunchContext::launch-started` signal is emitted when a `GAppInfo` is about to be launched. If non-null the `platform_data` is an GVariant dictionary mapping strings to variants (ie `a{sv}`), which contains additional, platform-specific data about this launch. On UNIX, at least the `startup-notification-id` keys will be present.

The value of the `startup-notification-id` key (type `s`) is a startup notification ID corresponding to the format from the startup-notification specification. It allows tracking the progress of the launchee through startup.

It is guaranteed that this signal is followed by either a `GAppLaunchContext::launched` or `GAppLaunchContext::launch-failed` signal.

Because a launch operation may involve spawning multiple instances of the target application, you should expect this signal to be emitted multiple times, one for each spawned instance.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.72

#### Parameters

`info`

  Type: `GAppInfo`

  The `GAppInfo` that is about to be launched.

  The data is owned by the caller of the function.

`platform_data`

  Type: `GVariant`

  Additional platform-specific data for this launch.

  The argument can be `NULL`.
  The data is owned by the caller of the function.